- entityDefinitions:
  - IDI_TaskCategory_BuildResponseMethodBinding: '{524fd03b-3027-4951-a0d0-05b75aa75e1e}'

  - IDI_Task_ViewBuildResponseMethodBinding: '{b0d417bd-0a47-4d15-a5e6-fe92fbbabb70}'
  - IDI_Task_EditBuildResponseMethodBinding: '{87869f07-59b7-42a8-85b4-4efe9406c8b1}'

  - IDE_BuildResponseMethodBinding_View: '{ec779a76-b9a5-4ced-a14b-e660f0c74bf1}'
  - IDE_BuildResponseMethodBinding_Edit: '{aeb5bab3-ad4d-4bc3-a069-c8e23895de52}'
  - IDE_BuildResponseMethodBinding_Definition: '{8abfa531-87cf-4104-be59-145316c38675}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  # - type: 'taskCategory'
  - taskCategory: '&IDI_TaskCategory_BuildResponseMethodBinding;'
    name: 'Build Response Method Binding'
    
  - sequenceTask: '&IDI_Task_ViewBuildResponseMethodBinding;'
    name: 'View Build Response Method Binding'
    initiatingElement: '&IDE_BuildResponseMethodBinding_View;'
    taskCategory: '&IDI_TaskCategory_BuildResponseMethodBinding;'

  - sequenceTask: '&IDI_Task_EditBuildResponseMethodBinding;'
    name: 'Edit Build Response Method Binding'
    initiatingElement: '&IDE_BuildResponseMethodBinding_Edit;'
    taskCategory: '&IDI_TaskCategory_BuildResponseMethodBinding;'

  - element: '&IDE_BuildResponseMethodBinding_View;'
    name: 'view brmb'
    elementContents:
    - globalIdentifier: '{2e994378-9b85-42bc-991c-f8f273ae2c1c}'
      defaultDataType: '&IDE_BuildResponseMethodBinding_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_BuildResponseMethodBinding_Definition;'
    name: 'brmb subedit'
    elementContents:
    - globalIdentifier: '{483be8aa-000f-469c-bbb1-e9bdcfef6c43}'
      defaultDataType: '&IDC_BuildResponseMethodBinding;'
      label: 'Method Binding'
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{e840ef80-f650-49c8-b09c-b36770b80339}'
      defaultDataType: '&IDR_Method_Binding__executes__Method;'
      label: 'Executes Method'
      displayOptions:
      - instance: '&IDI_DisplayOption_Required;'


  - element: '&IDE_BuildResponseMethodBinding_Edit;'
    name: 'edit brmb'
    elementContents:
    - globalIdentifier: '{115c4741-1f9a-4f87-8a28-9db9c74f1cae}'
      defaultDataType: '&IDE_BuildResponseMethodBinding_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'